diff --git a/MuonSpectrometer/MuonGeoModelTest/share/jobOptions.NSW_SimGeantinos.py b/MuonSpectrometer/MuonGeoModelTest/share/jobOptions.NSW_SimGeantinos.py
index e6b1528710d16c767bdf95d5890eadaabdf3402c..a531a57025951ff77ede629d0b4b856d1fb24675 100644
--- a/MuonSpectrometer/MuonGeoModelTest/share/jobOptions.NSW_SimGeantinos.py
+++ b/MuonSpectrometer/MuonGeoModelTest/share/jobOptions.NSW_SimGeantinos.py
@@ -94,3 +94,4 @@ include("G4AtlasApps/G4Atlas.flat.configuration.py")
 ## Add the G4 sim to the alg sequence after the generator
 from AthenaCommon.CfgGetter import getAlgorithm
 topSeq += getAlgorithm("G4AtlasAlg",tryDefaultConfigurable=True)
+topSeq.G4AtlasAlg.InputTruthCollection = "GEN_EVENT"
diff --git a/MuonSpectrometer/MuonGeoModelTest/share/simulGeantinoHits_misal.py b/MuonSpectrometer/MuonGeoModelTest/share/simulGeantinoHits_misal.py
index 4ed907c88619900333d994666ee3bedafd9d5c03..b88250dbed7feecc4dbca1a3d8096b2bcab4d74e 100644
--- a/MuonSpectrometer/MuonGeoModelTest/share/simulGeantinoHits_misal.py
+++ b/MuonSpectrometer/MuonGeoModelTest/share/simulGeantinoHits_misal.py
@@ -95,6 +95,7 @@ include("G4AtlasApps/G4Atlas.flat.configuration.py")
 ## Add G4 sim framework alg sequence
 from AthenaCommon.CfgGetter import getAlgorithm
 topSeq += getAlgorithm("G4AtlasAlg",tryDefaultConfigurable=True)
+topSeq.G4AtlasAlg.InputTruthCollection = "GEN_EVENT"
 
 #---  Output printout level ----------------------------------- 
 #output threshold (2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL)
diff --git a/MuonSpectrometer/MuonGeoModelTest/share/simulSingleMuHits_misal.py b/MuonSpectrometer/MuonGeoModelTest/share/simulSingleMuHits_misal.py
index 2dd84bb62445875535b05f581c3f013249035357..8e4bcc6212bd8007b4a61494712c2c21a9057ecd 100644
--- a/MuonSpectrometer/MuonGeoModelTest/share/simulSingleMuHits_misal.py
+++ b/MuonSpectrometer/MuonGeoModelTest/share/simulSingleMuHits_misal.py
@@ -100,6 +100,7 @@ include("G4AtlasApps/G4Atlas.flat.configuration.py")
 ## Add G4 sim framework alg sequence
 from AthenaCommon.CfgGetter import getAlgorithm
 topSeq += getAlgorithm("G4AtlasAlg",tryDefaultConfigurable=True)
+topSeq.G4AtlasAlg.InputTruthCollection = "GEN_EVENT"
 
 #---  Output printout level ----------------------------------- 
 #output threshold (2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL)
diff --git a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-misaligned_geom.sh b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-misaligned_geom.sh
index 5d8b6fb469e9b8359fd7f11ce412b7b884a0f5f9..b6a28f35b69b0794e06e9a724bb9d52c1952d555 100755
--- a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-misaligned_geom.sh
+++ b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-misaligned_geom.sh
@@ -4,6 +4,14 @@
 # # Purpose: Compare MuonGeoModel and AMDB detector element positions
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
+# art-output: *.txt
+
+set -x
 
-athena.py -c 'DetDescrVersion="ATLAS-GEO-16-00-01"' -b MuonGeomRTT/AmdcMGM_RTT_topOptions.py
+athena.py -c 'DetDescrVersion="ATLAS-R2-2015-03-01-00"' MuonGeoModelTest/runAmdcMGM.py
 
+echo "art-result: $?"
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-test_layout.sh b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-test_layout.sh
index 706d557765a126821a52e186c6766711ffa9c291..1ab7a9011dbe14290ec5ce096661505a3c524900 100755
--- a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-test_layout.sh
+++ b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_amdc_mgm-test_layout.sh
@@ -4,5 +4,23 @@
 # # Purpose: Compare MuonGeoModel and AMDB detector element positions
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
+# art-output: *.txt
+
+set -x
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "21.0" ]; then
+    DetDesVer='"ATLAS-R2-2016-01-00-01"'
+elif [ ${AtlasVersion:0:4} == "21.3" ]; then
+    DetDesVer='"ATLAS-R3-2021-00-00-00"'
+else
+    DetDesVer='"ATLAS-R2-2015-03-04-00"'
+fi
+
+athena.py -c 'DetDescrVersion = '$DetDesVer MuonGeoModelTest/runAmdcMGM.py
 
-athena.py -c 'useAlignData=True;DetDescrVersion="ATLAS-GEO-18-00-00"' -b MuonGeomRTT/AmdcMGM_RTT_topOptions.py
\ No newline at end of file
+echo "art-result: $?"
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_geantino_sim.sh b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_geantino_sim.sh
index f8bb85be6b58279b999c0951a9738e547e063a33..2beabd0a276026705df9f5700e0a4f02cc53a08d 100755
--- a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_geantino_sim.sh
+++ b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_geantino_sim.sh
@@ -4,8 +4,23 @@
 # # Purpose: Check internal consistency of raw geometry (fed to G4 simulation)
 # 
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
+# art-output: *.txt
+
+set -x
 
-athena.py -c 'DetDescrVersion = "ATLAS-R2-2015-03-01-00"; GlobalCondTag = "OFLCOND-RUN12-SDR-22"' -b MuonGeoModelTest/simulGeantinoHits_misal.py
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "21.0" ]; then
+    DetDesVer='"ATLAS-R2-2016-01-00-01"'
+elif [ ${AtlasVersion:0:4} == "21.3" ]; then
+    DetDesVer='"ATLAS-R3-2021-00-00-00"'
+else
+    DetDesVer='"ATLAS-R2-2015-03-04-00"'
+fi
 
-#athena.py -b MuonGeomRTT/MuonGeantinoSim_RTT_topOptions.py
+athena.py -c 'DetDescrVersion = '$DetDesVer'; GlobalCondTag = "OFLCOND-RUN12-SDR-22"' MuonGeoModelTest/simulGeantinoHits_misal.py
 
+echo "art-result: $?"
diff --git a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check.sh b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check.sh
index 83add21734a08b10e3db582d6fec60ee6bcda7ec..2190a80e23d8e47dc6027e99fb9b5d0c5090433c 100755
--- a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check.sh
+++ b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check.sh
@@ -4,5 +4,23 @@
 # # Purpose: Compare MuonGeoModel raw and readout geometry relative to a reference
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
+# art-output: *.txt
+
+set -x
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "21.0" ]; then
+    DetDesVer='"ATLAS-R2-2016-01-00-01"'
+elif [ ${AtlasVersion:0:4} == "21.3" ]; then
+    DetDesVer='"ATLAS-R3-2021-00-00-00"'
+else
+    DetDesVer='"ATLAS-R2-2015-03-04-00"'
+fi
+
+athena.py -c 'DetDescrVersion = '$DetDesVer MuonGeoModelTest/MuonGeoModelCheck_jobOption.py
 
-athena.py -c 'DetDescrVersion="ATLAS-GEO-18-00-00"' -b MuonGeomRTT/MuonGMCheck_RTT_topOptions.py
\ No newline at end of file
+echo "art-result: $?"
diff --git a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check_reference.sh b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check_reference.sh
index 7a1730fe6d48b9d7fab9fd1033aedbd01792e967..20375f9faa33dce8d7415732cb6fb20ff23bb6a1 100755
--- a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check_reference.sh
+++ b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_gm_check_reference.sh
@@ -4,5 +4,14 @@
 # # Purpose: Compare MuonGeoModel raw and readout geometry relative to a reference
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
+# art-output: *.txt
+
+set -x
+
+athena.py -c 'DetDescrVersion="ATLAS-R2-2015-03-01-00"' MuonGeoModelTest/MuonGeoModelCheck_jobOption.py
 
-athena.py -c 'DetDescrVersion="ATLAS-GEO-16-00-01"' -b MuonGeomRTT/MuonGMCheck_RTT_topOptions.py
\ No newline at end of file
+echo "art-result: $?"
diff --git a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_hit_relocation.sh b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_hit_relocation.sh
index 5453e99fc40e65ede0b86d4c97665648f3d0099e..9ff7a89aba37d1a6ceb5cfe0902a7a39cd1700fd 100755
--- a/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_hit_relocation.sh
+++ b/MuonSpectrometer/MuonValidation/MuonGeomValidation/MuonGeomRTT/test/test_muon_hit_relocation.sh
@@ -4,7 +4,24 @@
 # # Purpose: Check internal consistency of readout geometry (used by reconstruction)
 # 
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
+# art-output: *.txt
+# art-output: *.root
+
+set -x
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "21.0" ]; then
+    DetDesVer='"ATLAS-R2-2016-01-00-01"'
+elif [ ${AtlasVersion:0:4} == "21.3" ]; then
+    DetDesVer='"ATLAS-R3-2021-00-00-00"'
+else
+    DetDesVer='"ATLAS-R2-2015-03-04-00"'
+fi
 
-athena.py -c 'DetDescrVersion = "ATLAS-GEO-16-00-01"; GlobalCondTag = "OFLCOND-DR-BS900-A1-01"' -b MuonGeoModelTest/MuonHitRelocation.py
+athena.py -c 'DetDescrVersion = '$DetDesVer'; GlobalCondTag = "OFLCOND-DR-BS900-A1-01"; inputHits = "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/MuonGeomRTT/geantinoHits.pool.root"' MuonGeoModelTest/MuonHitRelocation.py
 
-#athena.py -b MuonGeomRTT/MuonHitRelocation_RTT_topOptions.py
+echo "art-result: $?"
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_no_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_no_pileup.sh
index 934c534f7aa2fba882cf3e605ed65c904c103389..ae27f2bd1d1201d618efad9ae106c0d4e4e96c6a 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_no_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_no_pileup.sh
@@ -3,11 +3,54 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_JPsi_no_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: user.zhidong.valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4.RDO.recon.no_pileup.e5112_s3195_tid12019932_01_EXT0
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFile valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.AOD.pool.root $ValOption  --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
 
-Reco_tf.py --maxEvents=10000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_with_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_with_pileup.sh
index 934c534f7aa2fba882cf3e605ed65c904c103389..3bf368cd530aba600ec9b302c9f0251080235922 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_with_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_jpsi_with_pileup.sh
@@ -3,11 +3,55 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_JPsi_no_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: user.zhidong.valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4.RDO.recon.no_pileup.e5112_s3195_tid12019932_01_EXT0
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFile valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
+
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.AOD.pool.root $ValOption --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
 
-Reco_tf.py --maxEvents=10000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.424100.Pythia8B_A14_CTEQ6L1_Jpsimu4mu4_no_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_no_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_no_pileup.sh
index 769c2a3c909e471a179bf0e40bf8cd0ae23fdbe0..31aae985768d71836f38cd130b4eb041528dd0f1 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_no_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_no_pileup.sh
@@ -3,11 +3,55 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_ttbar_no_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: user.zhidong.valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad.recon.RDO.no_pileup.e4993_s3195_tid12020024_01_EXT0
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFile valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_no_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
+
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_no_pileup.AOD.pool.root $ValOption --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
 
-Reco_tf.py --maxEvents=10000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_no_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_no_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_with_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_with_pileup.sh
index bc6ace0c317cfb61467975f88240839cc0faae36..a22b39e0ddc795e606754917924a951201aee7d7 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_with_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_ttbar_with_pileup.sh
@@ -3,11 +3,55 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_ttbar_with_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad.recon.RDO_TRIG.e4993_s3195_r9723_tid12020031_00
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFile valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_with_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
+
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_with_pileup.AOD.pool.root $ValOption --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
 
-Reco_tf.py --maxEvents=5000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_with_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad_with_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_no_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_no_pileup.sh
index dc8bceb3189df52639cda38c02023a6045d426a0..0e4e4969798b535a290b6101308b3ab2809f24f9 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_no_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_no_pileup.sh
@@ -3,11 +3,55 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_Z_no_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: user.zhidong.valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu.recon.RDO.no_pileup.e5112_s3195_tid12019815_01_EXT0
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFileName=valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_no_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
+
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_no_pileup.AOD.pool.root     $ValOption  --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
 
-Reco_tf.py --maxEvents=10000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_no_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_no_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_with_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_with_pileup.sh
index da148b71d0a82f65c907114db0156b64d344242d..5c5dc38c39b0a4b935eb6499e371d165c6dacedb 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_with_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_z_with_pileup.sh
@@ -3,11 +3,55 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_Z_with_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu.recon.RDO_TRIG.e5112_s3195_r9723_tid12019822_00
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFile valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_with_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
+
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_with_pileup.AOD.pool.root $ValOption --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'	      
 
-Reco_tf.py --maxEvents=5000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_with_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu_with_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'	      
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_no_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_no_pileup.sh
index cdb4c401768acc27b2d924dbcbf18ee5d6728a8d..cfba8e7373fa37a6bd8be247e0787bb30eb65df3 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_no_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_no_pileup.sh
@@ -3,11 +3,55 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_ZPrime_no_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: user.zhidong.valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto.recon.RDO.no_pileup.e5112_s3195_tid12019961_00_EXT0
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFile valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_no_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
+
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_no_pileup.AOD.pool.root $ValOption --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
 
-Reco_tf.py --maxEvents=10000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_no_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_no_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
\ No newline at end of file
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_with_pileup.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_with_pileup.sh
index d8c119b9b323bf0a51aa5b9cd62ac23d7721cb0c..9ef7976e7052f1ef4a9815457af6c355d622ce99 100755
--- a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_with_pileup.sh
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrecrtt_zprime_with_pileup.sh
@@ -3,11 +3,55 @@
 # art-description: Run reconstruction on a input RDO file, migrated from RTT job: MuonRecRTT_ZPrime_with_pileup
 #
 # art-type: grid
+# art-include: master/Athena
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+#
 # art-input: valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto.recon.RDO_TRIG.e5112_s3195_r9723_tid12019967_00
-# art-input-nfiles: 10
-# art-input-split: 10
+# art-input-nfiles: 6
+# art-output: art_core_*
+# art-cores: 4
+
+set -x
+
+
+echo $AtlasVersion
+if [ ${AtlasVersion:0:4} == "22.0" ]; then
+    ValOption=""
+else
+    ValOption="--outputNTUP_PHYSVALFile valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_with_pileup.PHYSVAL.root --validationFlags noExample doMuon"
+fi
+echo "ValOption=", $ValOption
+
+
+echo "ArtProcess: $ArtProcess"
+
+case $ArtProcess in
+
+  "start")
+     echo "Starting"
+     ;;
+     
+  "end")
+     echo "Ending"
+     ;;
+     
+  *)
+     echo "Test $ArtProcess"
+     mkdir "art_core_${ArtProcess}"
+     cd "art_core_${ArtProcess}"
+     IFS=',' read -r -a file <<< "${ArtInFile}"
+     infile="../${file[${ArtProcess}]}"
+     echo "Processing files: " ${infile}
+     unset  ATHENA_NUM_PROC
+     unset  ATHENA_PROC_NUMBER
+
 
-echo "List of files = " ${ArtInFile}
-set -e
+     Reco_tf.py --maxEvents=-1 --inputRDOFile=${infile} --outputAODFile=valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_with_pileup.AOD.pool.root $ValOption --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
 
-Reco_tf.py --maxEvents=5000 --inputRDOFile=${ArtInFile} --outputAODFile=valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_with_pileup.AOD.pool.root --outputNTUP_PHYSVALFile valid1.361405.Sherpa_CT10_Zmumu_Pt280_500_CVetoBVeto_with_pileup.PHYSVAL.root --validationFlags noExample doMuon --preExec 'from RecExConfig.RecFlags  import rec; rec.doTrigger=False; import MuonCombinedRecExample.MuonCombinedRecOnlySetup'
+     echo  "art-result: $? reco_${ArtProcess}"
+     ls -lR
+     rm -f tmp.ESD
+     rm -f core.*
+     ;;
+esac
\ No newline at end of file